import {
	https
} from '@/utils/http.js';

export function queryJinriShengchansj(params) { // 获取今日天然气生产数据
	return https({
		url: '/scdt.CxcScdtChart/cxcScdtChart/list',
		method: 'get',
		data: params
	})
}

export function queryJinriTrqShengchansj(params) { // 获取当前日期、今年以来天然气的生产数据  day   gas  unit
	return https({
		url: '/scdt.CxcScdtChart/cxcScdtChart/getStatisticsData',
		method: 'get',
		data: params
	})
}

export function queryYearShengchansj(params) { // 获取今年以来天然气的生产数据
	return https({
		url: '/scdt.CxcScdtChart/cxcScdtChart/getYearStatis',
		method: 'get',
		data: params
	})
}

export function queryJinriYuanyouShengchansj(params) { // 获取今日原油 污油产量
	return https({
		url: '/scdt.cxcscdtwyrb/cxcScdtWyRb/list',
		method: 'get',
		data: params
	})
}

//  实时数据API

export function queryJldZcList(params) { // 获取计量点站场列表
	return https({
		url: '/sys/sysDepart/queryDepartsByzdjl',
		method: 'get',
		data: params
	})
}

export function queryJldDataByZc(params) { // 获取站场计量点实时数据
	return https({
		url: 'http://10.75.166.6:9999/Gyk/sssj/GetJlByZc',
		method: 'get',
		data: params
	})
}